Consent
Read a consumer consent record by consent_id.
Read a consumer consent record by consent_id.
GET
/
v1
/
consent
/
consumer
/
{consent_id}
Read a consumer consent record by consent_id.
curl --request GET \
--url https://api.solo.one/v1/consent/consumer/{consent_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.solo.one/v1/consent/consumer/{consent_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.solo.one/v1/consent/consumer/{consent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consent_id": "<string>",
"field_access_grants": [
{
"furnishing_entity_id": "<string>",
"field_definitions": [],
"effective_from": "<string>",
"effective_to": "<string>"
}
],
"created_at": "<string>",
"events": "<string>",
"scope": "<string>",
"expires_at": "<string>",
"consented_fields": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Network scope for the consent lookup
Response
Successful Response
Create a consumer consent record (direct, server-to-server). Returns a consent_id used for all subsequent queries.
⌘I
Read a consumer consent record by consent_id.
